## freenub 0.1.0

=== examples/pubnub_asyncio/fastapi/requirements.txt ===
fastapi

=== examples/pubnub_asyncio/http/requirements.txt ===
aiohttp
aiohttp_cors

=== debian/changelog ===
freenub (0.1.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 10:11:52 +0900

freenub (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1076856)

 -- Edward Betts <edward@4angle.com>  Wed, 24 Jul 2024 18:19:45 +0900

=== debian/control ===
Source: freenub
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-cbor2 <!nocheck>,
               python3-aiohttp <!nocheck>,
               python3-requests <!nocheck>,
               python3-pycryptodome <!nocheck>,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-cov <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/bdraco/freenub
Vcs-Browser: https://salsa.debian.org/python-team/packages/freenub
Vcs-Git: https://salsa.debian.org/python-team/packages/freenub.git

Package: python3-freenub
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Open-source fork of PubNub with an MIT license for real-time messaging
 Freenub is an open-source Python library originally forked from PubNub, a
 service for real-time messaging over the web. Maintaining its basis on an
 earlier version that was under the MIT license, Freenub enables developers to
 easily implement real-time data streaming and broadcasting functionalities
 within their applications. This library supports various features like
 real-time messaging, presence indicators, and scalable channels for
 communications across devices and platforms.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=freenub
export PYBUILD_TEST_ARGS=--no-cov

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf freenub.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/freenub-$1\.tar\.gz/ \
  https://github.com/bdraco/freenub/tags .*/v?(\d\S+)\.tar\.gz
